你的位置:首页 > 操作系统

[操作系统]Tomcat指定特定JDK版本


   我们知道在Linux服务器上,可以安装多个版本的JDK,那么当有多个JDK时,是否可以为Tomcat这类应用程序指定对应的JDK版本呢?答案是可以,指定tomcat使用特定的JDK版本。今天正好碰到这个问题,总结一下。方便以后遇到这类问题。

 

1:在tomcat的catalina.sh文件中加入

export JAVA_HOME=/usr/local/java/jdk1.6.0_21 #版本根据具体情况指定


JAVA_HOME=/usr/local/java/jdk1.6.0_21

[root@tomcatserver01 jvm]# ls
java-1.6.0-openjdk-1.6.0.0.x86_64  java-1.7.0-openjdk-1.7.0.65.x86_64  jre  jre-1.6.0  jre-1.6.0-openjdk.x86_64  jre-1.7.0  jre-1.7.0-openjdk.x86_64  jre-openjdk
[root@tomcatserver01 ~]# cd /usr/local/tomcat/bin/
[root@tomcatserver01 bin]# more catalina.sh


 

clip_image001

 

 

2: 修改tomcat/bin/setclasspath.bat,同样增加 SET JAVA_HOME=XXXXXX

下面链接,似乎需要修改Tomcat三个配置文件,”tomcat/bin/catalina.sh” 、 “tomcat/bin/setclasspath.sh” 、 “tomcat/conf/server. 

参考资料:

http://www.geek5.cn/?p=61